import { ICodeEditor } from "@codingame/monaco-vscode-api/vscode/vs/editor/browser/editorBrowser";
import { EditorAction } from "@codingame/monaco-vscode-api/vscode/vs/editor/browser/editorExtensions";
import { ILocalizedString } from "@codingame/monaco-vscode-api/vscode/vs/platform/action/common/action";
import { ServicesAccessor } from "@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation";
export declare class RunToCursorAction extends EditorAction {
    static readonly ID = "editor.debug.action.runToCursor";
    static readonly LABEL: ILocalizedString;
    constructor();
    run(accessor: ServicesAccessor, editor: ICodeEditor): Promise<void>;
}
export declare class SelectionToReplAction extends EditorAction {
    static readonly ID = "editor.debug.action.selectionToRepl";
    static readonly LABEL: ILocalizedString;
    constructor();
    run(accessor: ServicesAccessor, editor: ICodeEditor): Promise<void>;
}
export declare class SelectionToWatchExpressionsAction extends EditorAction {
    static readonly ID = "editor.debug.action.selectionToWatch";
    static readonly LABEL: ILocalizedString;
    constructor();
    run(accessor: ServicesAccessor, editor: ICodeEditor): Promise<void>;
}
