import { FuzzyScore, matchesFuzzy } from "@codingame/monaco-vscode-api/vscode/vs/base/common/filters";
import { ITreeFilter, TreeVisibility, TreeFilterResult } from "@codingame/monaco-vscode-api/vscode/vs/base/browser/ui/tree/tree";
import { IReplElement } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/debug/common/debug";
export declare class ReplFilter implements ITreeFilter<IReplElement, FuzzyScore> {
    static matchQuery: typeof matchesFuzzy;
    private _parsedQueries;
    set filterQuery(query: string);
    filter(element: IReplElement, parentVisibility: TreeVisibility): TreeFilterResult<FuzzyScore>;
}
