import { IDebugModel, IDebugSession, AdapterEndEvent } from "@codingame/monaco-vscode-api/vscode/vs/workbench/contrib/debug/common/debug";
import { ITelemetryService } from "@codingame/monaco-vscode-api/vscode/vs/platform/telemetry/common/telemetry.service";
import { Debugger } from "./debugger.js";
export declare class DebugTelemetry {
    private readonly model;
    private readonly telemetryService;
    constructor(model: IDebugModel, telemetryService: ITelemetryService);
    logDebugSessionStart(dbgr: Debugger, launchJsonExists: boolean): void;
    logDebugSessionStop(session: IDebugSession, adapterExitEvent: AdapterEndEvent): void;
}
